Package org.jfree.layouting.util

## Class LongList

- java.lang.Object
- - org.jfree.layouting.util.LongList

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class LongList
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  A Array-List for integer objects. Ints can be added to the list and will be stored in an int-array.

  Using this list for storing ints is much faster than creating java.lang.Integer objects and storing them in an ArrayList.

  This list is not synchronized and does not implement the full List interface. In fact, this list can only be used to add new values or to clear the complete list.

  Author:
    Thomas Morgner
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongList​(int capacity)` | Creates a new IntList with the given initial capacity.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(long value)` | Adds the given int value to the list.
    `void` | `clear​()` | Clears the list.
    `java.lang.Object` | `clone​()` |
    `long` | `get​(int index)` | Returns the value at the given index.
    `void` | `set​(int index, long value)` | Adds the given int value to the list.
    `int` | `size​()` | Returns the number of elements in this list.
    `long[]` | `toArray​()` | Copys the list contents into a new array.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongList

          public LongList​(int capacity)

      Creates a new IntList with the given initial capacity. The capacity will also be used as increment value when extending the capacity of the list.
      Parameters:
        `capacity` - the initial capacity.

  - ### Method Detail

    - #### add

          public void add​(long value)

      Adds the given int value to the list.
      Parameters:
        `value` - the new value to be added.

    - #### set

          public void set​(int index,
                          long value)

      Adds the given int value to the list.
      Parameters:
        `value` - the new value to be added.

    - #### get

          public long get​(int index)

      Returns the value at the given index.
      Parameters:
        `index` - the index
      Returns:
        the value at the given index
      Throws:
        `java.lang.IndexOutOfBoundsException` - if the index is greater or equal to the list size or if the index is negative.

    - #### clear

          public void clear​()

      Clears the list.

    - #### size

          public int size​()

      Returns the number of elements in this list.
      Returns:
        the number of elements in the list

    - #### toArray

          public long[] toArray​()

      Copys the list contents into a new array.
      Returns:
        the list contents as array.

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`